# ApplicationFramework
TKPLCAF
MDocStd

# MDocStd_DocumentStorageDriver Class Reference

storage driver for a standard document

`#include <MDocStd_DocumentStorageDriver.hxx>`

Inheritance diagram for MDocStd_DocumentStorageDriver:

[legend]

## Public Member Functions

Standard_EXPORT | MDocStd_DocumentStorageDriver ()
virtual Standard_EXPORT Handle_PCDM_Document | CreateDocument ()
| returns an empty PDocStd_Document. may be redefined;
Standard_EXPORT void | Paste (const Handle(TDocStd_Document)&TDOC, const Handle(PDocStd_Document)&PDOC, const Handle(MDF_SRelocationTable)&aReloc)
| virtual methods of StorageDriver from PCDM ============================================
virtual Standard_EXPORT Handle_PCDM_Document | Make (const Handle(CDM_Document)&aDocument)
| virtual methods (may be redefined by specialized application) =============================================================
virtual Standard_EXPORT TCollection_ExtendedString | SchemaName () const
virtual Standard_EXPORT Handle_MDF_ASDriverTable | AttributeDrivers (const Handle(CDM_MessageDriver)&theMessageDriver)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_MDF_ASDriverTable | myDrivers

## Constructor & Destructor Documentation

Standard_EXPORT MDocStd_DocumentStorageDriver::MDocStd_DocumentStorageDriver | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_MDF_ASDriverTable MDocStd_DocumentStorageDriver::AttributeDrivers | ( | const Handle(CDM_MessageDriver)& | theMessageDriver | ) | `[virtual]`

| Reimplemented in StdDrivers_DocumentStorageDriver, and StdLDrivers_DocumentStorageDriver.

virtual Standard_EXPORT Handle_PCDM_Document MDocStd_DocumentStorageDriver::CreateDocument | ( |  | ) | `[virtual]`

Standard_EXPORT const MDocStd_DocumentStorageDriver::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PCDM_StorageDriver. Reimplemented in StdDrivers_DocumentStorageDriver, and StdLDrivers_DocumentStorageDriver.

virtual Standard_EXPORT Handle_PCDM_Document MDocStd_DocumentStorageDriver::Make | ( | const Handle(CDM_Document)& | aDocument | ) | `[virtual]`

| Reimplemented from PCDM_StorageDriver.

Standard_EXPORT void MDocStd_DocumentStorageDriver::Paste | ( | const Handle(TDocStd_Document)& | TDOC,
|  | const Handle(PDocStd_Document)& | PDOC,
|  | const Handle(MDF_SRelocationTable)& | aReloc
| ) |

virtual Standard_EXPORT TCollection_ExtendedString MDocStd_DocumentStorageDriver::SchemaName | ( |  | ) | const`[virtual]`

| Implements PCDM_StorageDriver.

## Field Documentation

Handle_MDF_ASDriverTable MDocStd_DocumentStorageDriver::myDrivers `[private]`

The documentation for this class was generated from the following file:

- MDocStd_DocumentStorageDriver.hxx